notifybysms
POST
/notifybysmsCreate external transaction notifying via SMS.
Header Parameters
token*
stringBody Parameters
merchantAuthentication
merchantId*
stringtransactionReferenceId*
stringtransactionRequest
transactionType*
numberamount*
stringcalculateFee
booleantipsInputPrompt
booleancalculateTax
booleanexpiry
numbertipAmount
stringfeeAmountC
stringfeeLabelC
stringlTaxAmountC
stringlTaxLabelC
stringgTaxAmountC
stringgTaxLabelC
stringnotificationOption
notifyBySMS*
booleanmobileNumber
stringpreferences
integrationType*
numberavsVerification
booleaneReceipt
booleaneReceiptInputPrompt
booleancustomerName
stringcustomerEmail
stringcustomerMobile
stringrequestCardToken
booleanshortenURL
booleansendPaymentLink
booleanintegrationVersion
stringlevel3CEDP
booleanpersonalization
merchantName
stringlogoUrl
stringthemeColor
stringdescription
stringpayNowButtonText
stringbuttonColor
stringcancelButtonText
stringdisclaimer
stringPOST/notifybysms
1curl --location 'https://payment.ipospays.tech/api/v3/external-payment-transaction' \
2--header 'token: ' \
3--header 'Content-Type: application/json' \
4--data '{
5 "merchantAuthentication": {
6 "merchantId": "139322815010",
7 "transactionReferenceId": "TXNId00111223334571666"
8 },
9 "transactionRequest": {
10 "transactionType": 1,
11 "amount": "1500",
12 "calculateFee": false,
13 "tipsInputPrompt": false,
14 "calculateTax": false,
15 "expiry": 1,
16 "tipAmount": "",
17 "feeAmount": "",
18 "feeLabel": "",
19 "lTaxAmount": "",
20 "lTaxLabel": "",
21 "gTaxAmount": "",
22 "gTaxLabel": ""
23 },
24 "notificationOption": {
25 "notifyBySMS": true,
26 "mobileNumber": ""
27 },
28 "preferences": {
29 "integrationType": 1,
30 "avsVerification": false,
31 "eReceipt": false,
32 "eReceiptInputPrompt": false,
33 "customerName": "",
34 "customerEmail": "",
35 "customerMobile": "",
36 "requestCardToken": false,
37 "shortenURL": "",
38 "sendPaymentLink": false,
39 "integrationVersion": "",
40 "level3CEDP": ""
41 },
42 "personalization": {
43 "merchantName": "",
44 "logoUrl": "",
45 "themeColor": "",
46 "description": "",
47 "payNowButtonText": "",
48 "buttonColor": "",
49 "cancelButtonText": "",
50 "disclaimer": ""
51 }
52}'
Response
// Awaiting response…
Sample response
{
"message": "URL generated successfully",
"information": ""
}